crashpad::AgePruneCondition Class Referencefinal

A PruneCondition that deletes reports older than the specified number days. More...

`#include "client/prune_crash_reports.h"`

Inheritance diagram for crashpad::AgePruneCondition:

## Public Member Functions

| AgePruneCondition (int max_age_in_days)
| Creates a PruneCondition based on Report::creation_time. More...
bool | ShouldPruneReport (const CrashReportDatabase::Report &report) override
| Evaluates a crash report for deletion. More...

## Additional Inherited Members

Static Public Member Functions inherited from crashpad::PruneCondition
static std::unique_ptr< PruneCondition > | GetDefault ()
| Returns a sensible default condition for removing obsolete crash reports. More...

## Detailed Description

A PruneCondition that deletes reports older than the specified number days.

## Constructor & Destructor Documentation

## AgePruneCondition()

crashpad::AgePruneCondition::AgePruneCondition | ( | int | max_age_in_days | ) |

explicit

Creates a PruneCondition based on Report::creation_time.

Parameters

  [in] | max_age_in_days | Reports created more than this many days ago will be deleted.

## Member Function Documentation

## ShouldPruneReport()

bool crashpad::AgePruneCondition::ShouldPruneReport | ( | const CrashReportDatabase::Report & | report | ) |

overridevirtual

Evaluates a crash report for deletion.

Parameters

  [in] | report | The crash report to evaluate.

Returns
  `true` if the crash report should be deleted, `false` if it should be kept.

Implements crashpad::PruneCondition.

The documentation for this class was generated from the following files:

- client/prune_crash_reports.h
- client/prune_crash_reports.cc